Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class GuiNWSMultiLine

    java.lang.Object
      org.ka2ddo.yaac.gui.GuiNWSMultiLine

    public class GuiNWSMultiLine

extends java.lang.Object

This class provides graphical rendering support for NWS MultiLine encoded poly-figures. It can extract a MultiLine object from a PositionMessage's raw data.

The first two bytes are space and '}'. The next byte is a code for the type of data to plot:

letter | color | line type | meaning
--- | --- | --- | ---
a | red | solid | tornado warning
b | red | dashed | tornado watch
c | red | double-dashed |
d | yellow | solid | severe thunderstorm warning
e | yellow | dashed | severe thunderstorm watch
f | yellow | double-dashed |
g | blue | solid | test warning
h | blue | dashed | test watch
i | blue | double-dashed |
j | green | solid |
k | green | dashed | mesoscale discussion area
l | green | double-dashed |
m | orange | wide solid | Aloha circle for YAAC
n | orange | wide dashed | incomplete Aloha circle for YAAC
NWS Multiline display codes

The next byte indicates the type of figure:

character | meaning
--- | ---
0 | closed polygon
1 | line segment
Figure type codes

For more information, see http://www.aprs-is.net/WX/MultilineProtocol.aspx.

Note that NWSMultiLine does not work for polygons and polylines spanning the International Date Line.

See Also:
  `NWSMultiLine`

Method Summary
`static java.awt.Color` | `getColor(NWSMultiLine nws)`
`static java.awt.Stroke` | `getStroke(NWSMultiLine nws)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColor

    public static java.awt.Color getColor(NWSMultiLine nws)

### getStroke

    public static java.awt.Stroke getStroke(NWSMultiLine nws)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD